import { UserConfig, CLIOptions, ConnectorConfig, HintsConfigObject } from './types';
export declare class Configuration {
    readonly browserslist: string[];
    readonly connector: ConnectorConfig | undefined;
    readonly formatters: string[] | undefined;
    readonly ignoredUrls: Map<string, RegExp[]>;
    readonly parsers: string[] | undefined;
    readonly hints: HintsConfigObject;
    readonly hintsTimeout: number;
    readonly extends: string[] | undefined;
    private constructor();
    private static cleanHints;
    static loadBrowsersList(config: UserConfig): string[];
    static loadConfigFile(filePath: string): UserConfig | null;
    static toAbsolutePaths(config: UserConfig | null, configRoot: string): UserConfig | null;
    static fromConfig(config: UserConfig | null, actions?: CLIOptions): Configuration;
    static validateHintsConfig(config: Configuration): {
        invalid: string[];
        valid: string[];
    };
    static fromFilePath(filePath: string, actions: CLIOptions): Configuration;
    static getFilenameForDirectory: (directory: string) => string | null;
}
