import { ProblemLocation } from './problems';
export declare type AsyncHTMLAttribute = {
    name: string;
    value: string;
};
export interface IAsyncNamedNodeMap {
    [index: number]: AsyncHTMLAttribute;
    item?(index: number): AsyncHTMLAttribute | null;
    readonly length: number;
}
export interface IAsyncHTMLElement {
    readonly attributes: IAsyncNamedNodeMap;
    getAttribute(attribute: string): string | null;
    getLocation(): ProblemLocation | null;
    isSame(element: IAsyncHTMLElement): boolean;
    outerHTML(): Promise<string>;
    readonly ownerDocument: IAsyncHTMLDocument;
    readonly nodeName: string;
}
export interface IAsyncHTMLDocument {
    querySelectorAll(selector: string): Promise<IAsyncHTMLElement[]>;
    pageHTML(): Promise<string>;
}
export interface IAsyncWindow {
    readonly document: IAsyncHTMLDocument;
    evaluate(source: string): Promise<any>;
}
