/// <reference types="node" />
import * as url from 'url';
import { IAsyncHTMLElement } from './async-html';
import { HttpHeaders, NetworkData } from './network';
import { Engine } from '../engine';
export interface IConnectorConstructor {
    new (server: Engine, config?: object, launcher?: ILauncher): IConnector;
}
export interface IConnector {
    dom?: object;
    html?: Promise<string>;
    headers?: HttpHeaders;
    collect(target: url.URL, options?: IFetchOptions): Promise<any>;
    close(): Promise<void>;
    fetchContent(target: url.URL | string, customHeaders?: object, options?: IFetchOptions): Promise<NetworkData>;
    evaluate(code: string): Promise<any>;
    querySelectorAll(query: string): Promise<IAsyncHTMLElement[]>;
}
export interface IFetchOptions {
    content?: string;
}
export declare type BrowserInfo = {
    isNew?: boolean;
    pid: number;
    port?: number;
};
export interface ILauncher {
    launch(url: string, options?: any): Promise<BrowserInfo>;
    options?: any;
}
export declare type LauncherOptions = {
    defaultProfile?: boolean;
    flags?: string[];
    port?: number;
};
