/// <reference types="node" />
export declare type HttpHeaders = {
    [name: string]: string | undefined;
};
export declare type Request = {
    headers: HttpHeaders;
    url: string;
};
export declare type ResponseBody = {
    content: string;
    rawContent: Buffer;
    rawResponse(): Promise<Buffer>;
};
export declare type Response = {
    body: ResponseBody;
    charset: string;
    headers: HttpHeaders;
    hops: string[];
    mediaType: string;
    statusCode: number;
    url: string;
};
export declare type NetworkData = {
    response: Response;
    request: Request;
};
