import { Engine } from '../engine';
import { Events } from './events';
export declare type ExtendableConfiguration = {
    extends: string;
};
export interface IParserConstructor {
    new (engine: Engine): Parser;
}
export declare abstract class Parser<E extends Events = Events> {
    protected engine: Engine<E>;
    protected name: string;
    protected finalConfig<T extends ExtendableConfiguration>(config: T, resource: string): Promise<T | null>;
    constructor(engine: Engine<E>, parseEventType: string);
}
